Subject: Re: bug#14637: recent viper-mode regression

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Jun 2013 20:28:18 -0400

> Grepping for `shell-command-on-region' revealed the exhaustive list
> of the callers that are fixed now with this patch to set both args
> OUTPUT-BUFFER and REPLACE to the same value in unison:

Do all the callers need to be fixed?  Most of them?  A minority only?
If it's not just a minority, then maybe the better fix is to revert
revno:112695 (or at least change it) so that existing code doesn't need
to be changed.

        Stefan